Package org.drinkless.tdlib

# Class TdApi.FailedToAddMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FailedToAddMember

Enclosing class:
  `TdApi`

public static class TdApi.FailedToAddMember extends TdApi.Object
Contains information about a user who has failed to be added to a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `premiumRequiredToSendMessages`
  True, if subscription to Telegram Premium is required to send the user chat invite link.
  `boolean`
  `premiumWouldAllowInvite`
  True, if subscription to Telegram Premium would have allowed to add the user to the chat.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FailedToAddMember()`
  Contains information about a user who has failed to be added to a chat.
  `FailedToAddMember(long userId, boolean premiumWouldAllowInvite, boolean premiumRequiredToSendMessages)`
  Contains information about a user who has failed to be added to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier.

  - ### premiumWouldAllowInvite

    public boolean premiumWouldAllowInvite
    True, if subscription to Telegram Premium would have allowed to add the user to the chat.

  - ### premiumRequiredToSendMessages

    public boolean premiumRequiredToSendMessages
    True, if subscription to Telegram Premium is required to send the user chat invite link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FailedToAddMember

    public FailedToAddMember()
    Contains information about a user who has failed to be added to a chat.

  - ### FailedToAddMember

    public FailedToAddMember(long userId, boolean premiumWouldAllowInvite, boolean premiumRequiredToSendMessages)
    Contains information about a user who has failed to be added to a chat.
    Parameters:
      `userId` - User identifier.
      `premiumWouldAllowInvite` - True, if subscription to Telegram Premium would have allowed to add the user to the chat.
      `premiumRequiredToSendMessages` - True, if subscription to Telegram Premium is required to send the user chat invite link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR